Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class ConsultReimbursementTermType

    java.lang.Object
      be.fgov.ehealth.dics.core.v3.reimbursementlaw.submit.ReimbursementTermKeyType
          be.fgov.ehealth.dics.protocol.v3.ConsultReimbursementTermType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2019-04-01T01:44:26+02:00",
               comments="JAXB RI v2.2.11")
    public class ConsultReimbursementTermType

extends ReimbursementTermKeyType
implements Serializable

Java class for ConsultReimbursementTermType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultReimbursementTermType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v3:reimbursementlaw:submit}ReimbursementTermKeyType">
           <sequence>
             <element name="ValueUnit" type="{urn:be:fgov:ehealth:dics:core:v3:reimbursementlaw:submit}ParameterValueType"/>
             <element name="ParameterName" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v3}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultReimbursementTermType()`

Method Summary
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`String` | `getParameterName()` Gets the value of the parameterName property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`ParameterValueType` | `getValueUnit()` Gets the value of the valueUnit property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setParameterName(String value)` Sets the value of the parameterName property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setValueUnit(ParameterValueType value)` Sets the value of the valueUnit property.

Methods inherited from class be.fgov.ehealth.dics.core.v3.reimbursementlaw.submit.ReimbursementTermKeyType
`getSequenceNr, setSequenceNr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultReimbursementTermType

    public ConsultReimbursementTermType()

Method Detail

### getValueUnit

    public ParameterValueType getValueUnit()

  Gets the value of the valueUnit property.

  Returns:
    possible object is `ParameterValueType`

### setValueUnit

    public void setValueUnit(ParameterValueType value)

  Sets the value of the valueUnit property.

  Parameters:
    `value` - allowed object is `ParameterValueType`

### getParameterName

    public String getParameterName()

  Gets the value of the parameterName property.

  Returns:
    possible object is `String`

### setParameterName

    public void setParameterName(String value)

  Sets the value of the parameterName property.

  Parameters:
    `value` - allowed object is `String`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.